// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import './contexts_viewer.js';
// 
import './info_page.js';
import '//resources/cr_elements/cr_page_selector/cr_page_selector.js';
import '//resources/cr_elements/cr_tabs/cr_tabs.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { getCss } from './app.css.js';
import { getHtml } from './app.html.js';
export class WebnnInternalsAppElement extends CrLitElement {
    static get is() {
        return 'webnn-internals-app';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            selectedTabIndex_: { type: Number },
        };
    }
    #selectedTabIndex__accessor_storage = 0;
    get selectedTabIndex_() { return this.#selectedTabIndex__accessor_storage; }
    set selectedTabIndex_(value) { this.#selectedTabIndex__accessor_storage = value; }
    onSelectedChanged_(e) {
        this.selectedTabIndex_ = e.detail.value;
    }
}
customElements.define(WebnnInternalsAppElement.is, WebnnInternalsAppElement);
